:root {
    // Alert Component
    --alert-border-radius:                  #{$alert-border-radius};
    --alert-spacing-vertical:               #{$alert-spacing-vertical};
    --alert-spacing-horizontal:             #{$alert-spacing-horizontal};
    --alert-box-shadow:                     #{$alert-box-shadow};

    // Badge Component
    --badge-font-size:                      #{$badge-font-size};
    --badge-border-radius:                  #{$badge-border-radius};
    --badge-padding-vertical:               #{$badge-padding-vertical};
    --badge-padding-horizontal:             #{$badge-padding-horizontal};

    // Button Component
    --btn-padding-vertical:                 #{$btn-padding-vertical};
    --btn-padding-horizontal:               #{$btn-padding-horizontal};
    --btn-raduis:                           #{$btn-border-radius};
    --btn-font-family:                      #{$btn-font-family};
    --btn-box-shadow:                       #{$btn-box-shadow};

    // Card Component
    --card-shadow:                          #{$card-shadow};
    --card-border-color:                    #{$card-border-color};
    --card-radius:                          #{$card-radius};
    --card-fill-gutter:                     #{$card-fill-gutter};
    --card-animation:                       #{$card-animation};

    // Navbar Component
    --nav-padding-horizontal:               #{$nav-padding-horizontal};
    --nav-link-padding-horizontal:          #{$nav-link-padding-horizontal};
    --nav-link-padding-vertical:            #{$nav-link-padding-vertical};
    --nav-other-margin-horizontal:          #{$nav-other-margin-horizontal};

    // Pagination Component
    --pagination-item-size:                 #{rem($pagination-item-size-rem)};
    --pagination-item-background-hover:     #{$pagination-item-background-hover};
    --pagination-item-margin:               #{$pagination-item-margin};
    --pagination-shadow:                    #{$pagination-shadow};
    --pagination-link-font-weight:          #{$pagination-link-font-weight};
    --pagination-navigation-margin:         #{$pagination-navigation-margin};

    // Table Component
    --table-padding-vertical:               #{$table-padding-vertical};
    --table-padding-horizontal:             #{$table-padding-horizontal};
    --table-border-color:                   #{$table-border-color};
    --table-odd-color:                      #{$table-odd-color};
    --table-fill-size:                      #{$table-fill-size};

    // Sidebar Component
    --sidebar-min-width:                    #{$sidebar-min-width};
    --sidebar-item-padding-horizontal:      #{$sidebar-item-padding-horizontal};
    --sidebar-item-padding-vertical:        #{$sidebar-item-padding-vertical};

    // Modal Component
    --modal-min-width:                      calc(#{$modal-min-width} - 2 * #{$modal-margin});
    --modal-margin:                         #{$modal-margin};
    --modal-transform:                      #{$modal-transform};
}